Changing the settings of a tag¶
Note
The attribute type cannot be changed. If you need to change the type of a tag, add a new tag.
Note
The body must include the attributes id and modified to identify the corresponding entry.
Note
The ID of the entry in the path of the request must match the value of the attribute id in the body.
Sends a PUT request to the endpoint /tags/{id}.
Description¶
The Change-Tag-Settings request allows the user to change the settings of a tag of the organisation.
Requirements¶
Values of the request: Tag-ID {id}d}
Objects: TagVO, TagAssignmentVOgAssignmentVO
Request¶
To change the settings of a tag, the Tag-ID {id} needs to be added to the path of the HTTP request.
For a detailed specification of which information is required to change a tag, the objects TagVO and TagAssignmentVO with the following attributes need to be defined in the body:
TagVO¶
| Attributes | Description | Values |
|---|---|---|
assignments |
An array of tag assignments. | TagAssignmentVO |
id |
The ID of the tag. | integer |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
TagAssignmentVO¶
| Attributes | Description | Values |
|---|---|---|
id |
The ID of the tag assignment. | integer |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
The following attributes are optional:
TagVO¶
| Attributes | Description | Values |
|---|---|---|
name |
The name of the tag. | string |
label |
A keyword for the tag. | string |
comment |
An individual comment for the entry. | string |
TagAssignmentVO¶
| Attributes | Description | Values |
|---|---|---|
type |
The type of the tag assignment. |
|
subDomainName |
The name of the subdomain, if the value of the attribute type is SUBDOMAIN. |
|
title |
The title of the tag assignment. | string |
comment |
An individual comment for the entry. | string |
The system returns the objects TagVO and TagAssignmentVO with the changed information.
Example¶
Example request body:
{
"objectType": "string",
"name": "string",
"type": "string",
"global": true,
"assignments": [
{
"objectType": "string",
"type": "string",
"subDomainName": "string",
"title": "string",
"comment": "string"
}
],
"organizationId": 0,
"sort": 0,
"comment": "string",
"label": "string"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 200 | The request has succeeded. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |